Bug 779163 - (SOA-1558) Schema Validation - import/include of XSD schemas does not work
Schema Validation - import/include of XSD schemas does not work
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 ER1
Unspecified Unspecified
high Severity high
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On: SOA-1142
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 05:19 EDT by Jiri Pechanec
Modified: 2011-02-17 06:18 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 06:18:52 EST
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
XSD.zip (2.38 KB, application/zip)
2009-12-12 12:38 EST, Burr Sutter
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1558 None None None Never

  None (edit)
Description Jiri Pechanec 2009-10-27 05:19:42 EDT
Date of First Response: 2009-10-27 05:32:50
project_key: SOA

I tried to include one schema into tn other and it seems that this functionality does not work. Custom implementation of org.w3c.dom.ls.LSResourceResolver should probably be provided that will support resolving of file, http and classpath based locations.
Comment 1 Kevin Conner 2009-10-27 05:32:50 EDT
This was not part of the original request but we can certainly add it.  Please raise a change request.
Comment 2 Jiri Pechanec 2009-10-27 05:59:36 EDT
Please review the issues and create change requests if you feel the issues are valid, otherwise resolve them as rejected
Comment 3 Burr Sutter 2009-10-30 16:59:05 EDT
It is my understanding that we now support import/include for the EBWS feature (in.xsd, out.xsd and error.xsd).  Is that true?  I will create a change request.
Comment 4 Len DiMaggio 2009-11-02 11:37:17 EST
See the linked JIRA - from Jan 2009
Comment 5 Len DiMaggio 2009-11-02 11:37:17 EST
Link: Added: This issue depends SOA-1142
Comment 7 Burr Sutter 2009-12-11 12:03:41 EST
Just to make sure we have clarity, the specific feature are talking about is
org.jboss.soa.esb.actions.validation.SchemaValidationAction
Comment 8 Kevin Conner 2009-12-11 12:10:31 EST
That is correct, the linked JIRA is not relevant to this issue.
Comment 9 Burr Sutter 2009-12-12 12:35:01 EST
It is only relevant in the sense that it works for EBWS but not for SchemaValidationAction, we are inconsistent in our use of XSD include between the two capabilities.

<?xml version="1.0" encoding="UTF-8"?>

<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
	targetNamespace="http://www.example.org/policyQuote"
	xmlns:pol="http://www.example.org/policyQuote" elementFormDefault="qualified">

	<xs:include schemaLocation="./types/policyQuoteBase.xsd"/>
	
	<xs:element name="policyQuote">
		<xs:complexType>
			<xs:choice minOccurs="1" maxOccurs="1">
				<xs:element name="receivePolicyQuote" type="pol:ReceivePolicyQuoteType"/>
				<xs:element name="createPolicyQuote" type="pol:CreatePolicyQuoteType"/>
				<xs:element name="deletePolicyQuote" type="pol:DeletePolicyQuoteType"/>
				<xs:element name="getPolicyQuote" type="pol:GetPolicyQuoteType"/>
				<xs:element name="calculatePolicyQuote" type="pol:CalculatePolicyQuoteType"/>
			</xs:choice>
		</xs:complexType>
	</xs:element>

.
.
.
Comment 10 Burr Sutter 2009-12-12 12:38:22 EST
Jeff D provided me with some sample XSDs that work with the EBWS feature.
Comment 11 Burr Sutter 2009-12-12 12:38:22 EST
Attachment: Added: XSD.zip
Comment 12 Kevin Conner 2009-12-14 04:37:58 EST
Nobody is disagreeing that we are inconsistent, but this has no dependency on EBWS.
Comment 13 Anne-Louise Tangring 2010-09-10 15:16:08 EDT
This is optional for SOA 5.1.0. Thus it is downgraded to a Major.
Comment 14 Kevin Conner 2010-11-29 08:58:36 EST
Link: Added: This issue depends JBESB-3538
Comment 15 Kevin Conner 2010-11-29 09:45:15 EST
Support has been added in the ESB codebase.
Comment 17 Darrin Mison 2011-01-04 19:14:34 EST
Writer: Added: dlesage
Comment 18 Jiri Pechanec 2011-01-12 02:26:46 EST
Verified in ER6
Comment 19 Darrin Mison 2011-02-17 06:17:09 EST
Writer: Removed: dlesage Added: Darrin
Comment 20 Darrin Mison 2011-02-17 06:18:52 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3538
Support for schema import/include has been added to SchemaValidationAction

Note You need to log in before you can comment on or make changes to this bug.